
Foreman - Bug #4211

[RFE] Creating a duplicate org does not provide useful feedback

01/28/2014 07:25 PM - Bryan Kearney

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Running create on an org with the same name a second time, gives me this:

bundle exec bin/hammer -u admin -p changeme organization create --name Goldensoft

Could not create the organization:

Error: 500 Internal Server Error

I would have expected something like "Org already exists" or "Hey Bonehead, you just did that"

Related issues:

Is duplicate of Foreman - Bug #3519: 500 error when creating a duplicate orga... Closed 10/25/2013

History

#1 - 01/29/2014 08:22 AM - Dominic Cleal

- Is duplicate of Bug #3519: 500 error when creating a duplicate organization added

#2 - 01/29/2014 08:22 AM - Dominic Cleal

- Project changed from Hammer CLI to Foreman

- Category changed from Foreman commands (obsolete) to API

- Status changed from New to Duplicate
